import { Box, Button, Flex } from "@chakra-ui/react";
import PlayerTable from "./component/table";
import { getPlayerList } from "@/app/lib/player/action";
import { getServerSession } from "next-auth";
import { AuthConfig } from "@/auth";
import { Session } from "next-auth";
import { getClubs } from "@/app/lib/club/action";

export default async function ClubOwners() {
  const session: Session = await getServerSession(AuthConfig);
  const user = session?.user ?? null

  if(!user) {
    return null
  }

  const fetchData = user?.role?.id == 1 ? await getPlayerList() : await getClubs();

  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      <PlayerTable role={user?.role} data={fetchData}></PlayerTable>
    </Box>
  );
  
}
